# EthAnchor

{% hint style="danger" %}
EthAnchor is scheduled for deprecation and is to be replaced with xAnchor. It is highly recommended that new integrations are built with [xAnchor](https://docs.anchorprotocol.com/protocol/xanchor) and not with EthAnchor.
{% endhint %}

{% hint style="info" %}
For those wishing to read up on the previous version of EthAnchor, click [here](/anchor-2/developers-ethereum/ethanchor.md).
{% endhint %}

![](/files/-Mbq8bFxGqaoddT1sOD3)

**EthAnchor** provides a gateway for Ethereum users and dApps to interact with Anchor using Ethereum stablecoins.

Users can deposit Ethereum stablecoins to EthAnchor smart contracts to receive their aTerra counterparts. By holding on to aTerra, users accrue the interest generated on their stablecoin deposits.

![](/files/-Mbq8kMKRzZ_yij51pWY)

Deposits of stablecoins other than UST are converted to UST via [Curve](https://curve.fi/), an Ethereum-based exchange protocol which specializes in stablecoin swaps. Similarly, withdraws for non-UST stablecoins are processed by first withdrawing UST, which is then swapped for other stablecoins and returned.

Due to the involvement of cross-chain token transfers, EthAnchor operations (deposit, redeem) follow an asynchronous model and thus are not immediately finalized as of with a typical Ethereum smart contract. Additional processing time (separate from the time required for Ethereum Tx confirmation) is needed in order for an operation to be fully processed.

## Usage

EthAnchor can be accessed either by direct interactions with the EthAnchor contracts, or via WebApp interfaces such as [Orion.Money](https://app.orion.money/).

### Supported Stablecoins

Supported Ethereum stablecoins and their APYs at the time of writing are listed below:&#x20;

{% hint style="warning" %}
Note that additional fees may be applied from WebApp implementations, resulting in a lower APY.
{% endhint %}

| Stablecoin Name | Symbol | APY          |
| --------------- | ------ | ------------ |
| Wrapped UST     | UST    | 19.5%\~20.5% |
| Dai Stablecoin  | DAI    | 16.5%        |
| Tether USD      | USDT   | 16.5%        |
| USD Coin        | USDC   | 16.5%        |
| Binance USD     | BUSD   | 16.5%        |
| Frax            | FRAX   | 16.5%        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anchorprotocol.com/anchor-2/ethanchor/ethanchor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
